Overview | Modules | Class Hierarchy | Classes | Members

# tlp::PropertyFactory< T > Class Template Reference
[Plugins]

`#include <TemplateFactory.h>`

Inheritance diagram for tlp::PropertyFactory< T >:
[legend]
Collaboration diagram for tlp::PropertyFactory< T >:
[legend]

List of all members.

## Public Member Functions

- PropertyFactory ()
- virtual ~PropertyFactory ()
- virtual T * createPluginObject (const PropertyContext &context)=0
- virtual std::string getMajor () const
    Only the major of the plug-in version. A version should be X.Y, X being the major.
- virtual std::string getMinor () const
    Only the minor of the plug-in version. A version should be X.Y, Y being the major.
- virtual std::string getTulipMajor () const
- virtual std::string getTulipMinor () const

### template<class T>
class tlp::PropertyFactory< T >

## Constructor & Destructor Documentation

template<class T >

tlp::PropertyFactory< T >::PropertyFactory | ( |  | ) | `[inline]`

template<class T >

virtual tlp::PropertyFactory< T >::~PropertyFactory | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template<class T >

virtual T* tlp::PropertyFactory< T >::createPluginObject | ( | const PropertyContext & | context | ) | `[pure virtual]`

template<class T >

virtual std::string tlp::PropertyFactory< T >::getMajor | ( |  | ) | const`[inline, virtual]`

Only the major of the plug-in version. A version should be X.Y, X being the major.

Returns:
  The major part of the plug-in version.

Implements tlp::PluginInfoInterface.

template<class T >

virtual std::string tlp::PropertyFactory< T >::getMinor | ( |  | ) | const`[inline, virtual]`

Only the minor of the plug-in version. A version should be X.Y, Y being the major.

Returns:
  The minor part of the plug-in version.

Implements tlp::PluginInfoInterface.

template<class T >

virtual std::string tlp::PropertyFactory< T >::getTulipMajor | ( |  | ) | const`[inline, virtual]`

Returns:
  The major Tulip version the plug-in was built with.

Implements tlp::PluginInfoInterface.

template<class T >

virtual std::string tlp::PropertyFactory< T >::getTulipMinor | ( |  | ) | const`[inline, virtual]`

Returns:
  Return the minor Tulip version this plug-in was built with.

Implements tlp::PluginInfoInterface.

Tulip Software by LaBRI Visualization Team 2001 - 2011